## echoping 6.0.2

=== debian/changelog ===
echoping (6.0.2-9) unstable; urgency=low

  * Acknowledge NMU (Closes: #624049)
    Thanks to Andreas Metzler for patching, NMU and uploading.
  * debian/control:
    - Bump Standards-Version to 3.9.8 (no changes)
    - Update Vcs-Git and Vcs-Browser URLs to use HTTPS
  * debian/copyright:
    - Unify paragraphs for GPL-2 license
    - Update copyright years
  * debian/README.Debian:
    - Fix typo (spelling-error-in-readme-debian agains against)
  * debian/watch:
    - Look for source code on github (Closes: #787629)

 -- Dario Minnucci <midget@debian.org>  Tue, 24 May 2016 23:12:55 +0200

echoping (6.0.2-8) unstable; urgency=medium

  * debian/control:
    - Fix URL under Vcs-Browser field. (Closes: #733669)
    - Build against libgnutls28-dev instead of libgnutls-dev.
      (Closes: #752307)
    - update the libtool.m4 and/or aclocal.m4 files.
      (Closes: #727367)

 -- Dario Minnucci <midget@debian.org>  Sun, 22 Jun 2014 20:23:49 +0200

echoping (6.0.2-7) unstable; urgency=medium

  * debian/rules:
    - Update config.{sub,guess} via dh_autotools-dev_updateconfig and 
      dh_autotools-dev_restoreconfig. (Closes: #727367)
  * debian/copyright: Update years.
  * debian/control:
    - Use canonical URIs for Vcs-Git and Vcs-Browser
    - Bump Standards-Version to 3.9.5

 -- Dario Minnucci <midget@debian.org>  Sun, 29 Dec 2013 04:45:44 +0100

echoping (6.0.2-6) unstable; urgency=low

  * debian/rules: Rewritten based in 6.0.2-4 version. (Closes: #672957)

 -- Dario Minnucci <midget@debian.org>  Mon, 28 May 2012 01:37:29 +0200

echoping (6.0.2-5) unstable; urgency=low

  * Getting rid of unneeded *.la (Closes: #621284)
  * Switch to dpkg-source 3.0 (quilt) format
  * debian/control: 
    - Update debhelper dependency to >= 9
    - Bumped Standards-Version to 3.9.3
    - Drop build dependency on dpatch
    - Short description modified to fix lintian warning
      W: echoping: description-synopsis-starts-with-article
  * debian/rules: Rewritten to use the 'compact' format
  * debian/copyright:
    - Update format URL and years.
    - Tunning on paragraphs to be DEP5 compliant
  * debian/patches:
    - Patches migrated from 'dpatch' to 'quilt' format
    - Added: 004-only-append-port-number-if-port-is-not-80.diff
      (Closes: #664077)

 -- Dario Minnucci <midget@debian.org>  Thu, 15 Mar 2012 20:03:43 +0100

echoping (6.0.2-4) unstable; urgency=low

  * debian/control:
    - Maintainer email address updated.
    - Added Vcs-Git and Vcs-Browser
    - debhelper dependency updated to >= 7.0.50~
    - Added dependency on ${misc:Depends}
    - Bumped Standards-Version to 3.9.1:
      - Added debian/source/format file
  * debian/rules:
    - Using dh_prep instead of dh_clean -k
    - Also remove plugins/dir file.
  * debian/patches:
    - Created clean up changes in original sources
      - 00-fix-config.guess.dpatch 
      - 00-fix-config.sub.dpatch
    - Add new patch: 03-fix-for-https-creashes.diff (Closes: #606808)
      Thanks to Dmitry Semyonov <linulin@gmail.com>
    - Added headers on existing patches (DEP3)
  * debian/copyright:
    - Added debian/* section

 -- Dario Minnucci <midget@debian.org>  Sat, 12 Feb 2011 22:14:24 +0100

echoping (6.0.2-3) unstable; urgency=medium

  * debian/control: Added pkg-config to Build-Depends.
  * debian/control: Description improvements.
  * debian/patches: 02_FTBFS_against_gnutls26_greater_the_2.7.x_fix.dpatch
    Fixes to solve FTBFS issue originated on 'gnutls26' update.
    Thanks Andreas Metzler and Kumar Appaiah for reporting and patching.
   (Closes: #529820)
  * debian/control: Bumped Standards-Version to 3.8.3
      - debian/README.source was created.
  * debian/copyright: MPCF (Machine-Parsable Copyright Format) implementation.
    See http://wiki.debian.org/Proposals/CopyrightFormat for details.
  * debian/rules: Small cleanup.
  * debian/watch: Rewritten to fit SF redirector.

 -- Dario Minnucci (midget) <debian@midworld.net>  Fri, 21 Aug 2009 01:53:30 +0200

echoping (6.0.2-2) unstable; urgency=low

  * debian/control: Maintainer's name changed due to GPG signature update.
  * debian/rules: Fix to avoid debian-rules-ignores-make-clean-error warning.
  * debian/dirs: Fix to avoid package-contains-empty-directory warning.
  * debian/control: Bumped Standards-Version: from 3.7.2 to 3.7.3
  * debian/control, debian/rules: Added dpatch support.
  * debian/patches/01_manpage_fixes.dpatch: Issued to correct lintian Info
    message: hyphen-used-as-minus-sign usr/share/man/man1/echoping.1.gz:161
  * debian/copyright, debian/watch: Updated to point to SF hosted file.
    (Closes: #450315)
  * debian/control: Added Homepage tag.
  * debian/NEWS.Debian: Removed.

 -- Dario Minnucci (midget) <debian@midworld.net>  Sun, 17 Feb 2008 08:28:05 +0100

echoping (6.0.2-1) unstable; urgency=low

  * New upstream release. (Closes: #416358)
  * HTTPS request sent in clear bug fixed. (Closes: #340310)
  * Glib bug with long URLs fixed. (Closes: #407430)
  * /usr/share/doc/echoping/AUTHORS: Added.
  * /usr/share/doc/echoping/PLUGINS: Added.
  * debian/control: Added libpopt-dev to Build-Depends:

 -- Dario Minnucci <debian@midworld.net>  Fri, 01 Jun 2007 00:00:00 +0200

echoping (5.2.0-4) unstable; urgency=low

  * Rebuild against newer gnutls-dev package (Closes: #415739)

 -- Dario Minnucci <debian@midworld.net>  Thu, 22 Mar 2007 13:48:40 +0100

echoping (5.2.0-3) unstable; urgency=low

  * New Maintainer (Closes: #410900)
  * Acknowledge NMU (Closes: #335750)
  * debian/control: Updated debhelper to (>= 4)
  * Bumped Standards-Version: from 3.6.1 to 3.7.2
  * debian/rules: The whole file has been rewritten.
  * debian/copyright: Proper copyright provided. (Closes: #375000)
  * debian/watch: Added absent watchfile.
  * debian/dirs: Added usr/share/doc/echoping/examples.
  * debian/echoping.examples: Was created in order to install examples
    using 'dh_installexamples'.
  * debian/docs: INSTALL removed from doclist to get rid of lintian

