=== debian/control ===
Source: echoping
Section: net
Priority: optional
Maintainer: Dario Minnucci <midget@debian.org>
Build-Depends: debhelper (>= 9), autotools-dev, dh-autoreconf, libgnutls28-dev, libidn11-dev, libpopt-dev, pkg-config
Standards-Version: 3.9.8
Homepage: http://echoping.sourceforge.net/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/echoping.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/echoping.git

Package: echoping
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Small test tool for TCP servers
 echoping is a small program to test (approximatively) performances of a
 remote host by sending it requests such as HTTP requests.
 .
 In any case, be polite: don't bother the remote host with many repeated
 requests, especially with large size. Ask for permission if you often
 test hosts which aren't yours.
 .
 Current features:
    * plugins, so you can extend echoping with any protocol you like and/or use,
    * Supports IPv6 as well as IPv4,
    * Supports IDN (Unicode domain names),
    * uses the protocols echo, discard, chargen or HTTP,
    * can use cryptographic connections with HTTP,
    * uses UDP instead of TCP for the protocols which accept it (like echo),
    * can repeat the test and display various measures about it,
