=== debian/watch ===
version=4
opts="dversionmangle=s/\./_/g" \
	https://github.com/bortzmeyer/echoping/tags \
	.+RELEASE_(.*)\.tar\.gz
